Name:		gnome-mime-data
Summary:	The GNOME virtual file-system libraries
Version: 2.4.2
Release:	3mdk
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.3.2-1mdk fix default html viewer
Patch0:	    gnome-mime-data-2.4.1-html.patch.bz2
# (fc) 2.2.0-2mdk use OOo in preference of abiword (rawhide)
Patch1:		gnome-mime-data-2.4.1-openoffice.patch.bz2
# (fc) 2.2.0-2mdk fix default applications (Mdk bug 1505) (rawhide)
Patch2:		gnome-mime-data-2.4.2-default-applications.patch.bz2
# (fc) 2.3.1-2mdk add gdesklet magic detection (Mdk bug 4790)
Patch3:		gnome-mime-data-2.3.1-gdesklet.patch.bz2
# (gb) 2.4.1-10mdk lib64 fixes to pkgconfig files
Patch6:		gnome-mime-data-2.4.1-lib64.patch.bz2
URL:		http://www.gnome.org/
BuildRequires: perl-XML-Parser
Conflicts: gnome-vfs < 1.0.5-2mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%prep
%setup -q
%patch0 -p1 -b .html
%patch1 -p1 -b .ooo
%patch2 -p1 -b .defaultapp
%patch3 -p1 -b .gdesklet
%patch6 -p1 -b .lib64

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk 
- Drop menu methods, mime type are no longer handled this way

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- New release 2.4.2
- Regenerate patch2 (partially merged)
- Remove patches 4, 5 (merged upstream)

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-10mdk
- lib64 fixes to pkgconfig files

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-9mdk
- Add infos for doc files

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-8mdk
- Update path 2 to set back totem as default player for playlist

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-7mdk
- Patch5 : fix gvim name and command (Anthill bug #832)

* Mon May 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-6mdk
- Update patch 2 to use rhythmbox as default music player instead of totem

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-5mdk
- Update patches 0 & 2 to ensure epiphany is used by default for web pages
- Update source2 to generate correct files when multiple mimetypes are given

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-4mdk
- Update patch2, ad default_application_id for text/plain

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-3mdk
- Update patch2 with startup notify for more apps

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Update patch2
- Patch4 (CVS): various bug fixes

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- remove man page
- rediff patch 2
- new version

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 2.4.0-3mdk
- rebuild for new pkgconfig Requires

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Fix source1 to generate non-buggy applications-registry files

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-1mdk
- Release 2.3.2
- Regenerate patch0 to use galeon by default and add galeon nautilus
  view
- Regenerate patch1 to pass test

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk
- Patch3 : add magic detection of gdesklet file (Mdk bug 4790)

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk
- Release 2.3.1
- Regenrate patch 2 (partially merged)

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Update patch2 to use totem instead of xine and to not 
  use openoffice for text file (bug 3954)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Update patch2 to use gpdf instead of ggv for PDF files

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Regenerate patch2

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Patch1 (rawhide): use OOo by default when available
- Patch2 (rawhide): fix default applications (Mdk bug 1505)

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patches 1 & 2 (merged upstream)

* Fri Dec 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Patch2: fix fonts detection

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Update source2 to set default action to applications
- Patch1 (CVS): set gnome-sound-recorder to start playing sound file (bug #90959)

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Patch0: add gtkhtml to HTML viewer

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Wed Apr 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patch 1, merged upstream

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Remove patch 0, no longer needed with gnome-vfs 1.0.5

* Wed Mar  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Patch1 (GNOME): disable zip magic since it prevents OpenOffice files detection

* Tue Jan 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Patch0: ugly hack to generate .keys file correct for GNOME1 (might break GNOME2)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Move menu methods from gnome-vfs to gnome-mime-data (Thank to Abel)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Initial Mdk package

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %defines
